> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/remove-dsdeleteduser.md).

# Remove-DSDeletedUser

Remove-DSDeletedUser permanently sletter en tidligere blød-slettet bruger fra Devolutions Server; denne handling kan ikke være undone.

## Synopsis

Permanently delete en slettet bruger

## Syntaks

### \_\_AllParameterSets

```
Remove-DSDeletedUser -ID <guid> [-WhatIf] [-Confirm] [<CommonParameters>]
```

## Description

Permanently delete en bruger at har allerede været marked som slettet. Denne handling kan ikke være undone.

## Eksempler

### Eksempel 1

```powershell
PS C:\> Remove-DSDeletedUser -ID '3c5d7e8f-9a1b-4c2d-8e3f-4a5b6c7d8e9f'
```

Permanently delete en bruger at var tidligere blød-slettet.

### Eksempel 2

```powershell
PS C:\> Remove-DSUser -UserID $userId
PS C:\> Remove-DSDeletedUser -ID $userId
```

Permanently delete en bruger (kan ikke være undone). Skal blød-delete første, derefter hård-delete.

### Eksempel 3

```powershell
PS C:\> $deletedUser = Get-DSDeletedUser | Where Name -EQ 'johndoe'
PS C:\> Remove-DSDeletedUser -ID $deletedUser.ID
```

Hent en slettet bruger af brugernavn og permanently delete den.

## Parametre

### -Confirm

Beder Dem om bekræftelse, før cmdlet'en køres.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -ID

ID af slettet bruger til permanently remove.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -WhatIf

Viser, hvad der ville ske, hvis cmdlet'en kørte. Cmdlet'en køres ikke.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## Noter

Yderligere oplysninger får De ved at skrive "Get-Help Remove-DSDeletedUser -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Remove-DSDeletedUser -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/remove-dsdeleteduser.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
